|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionProgressBar Class Reference
[QtGui module]

The QStyleOptionProgressBar class is used to describe the parameters necessary for drawing a progress bar. More...

    #include <QStyleOptionProgressBar>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Functions

- QStyleOptionProgressBar ()
- QStyleOptionProgressBar ( const QStyleOptionProgressBar & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- int maximum
- int minimum
- int progress
- QString text
- Qt::Alignment textAlignment
- bool textVisible

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionProgressBar class is used to describe the parameters necessary for drawing a progress bar.

The QStyleOptionProgressBar class is used to draw QProgressBar.

## Member Function Documentation

### QStyleOptionProgressBar::QStyleOptionProgressBar ()

Constructs a QStyleOptionProgressBar. The members variables are initialized to default values.

### QStyleOptionProgressBar::QStyleOptionProgressBar ( const QStyleOptionProgressBar & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionProgressBar::Type

Equals SO_ProgressBar.

### const int QStyleOptionProgressBar::Version

Equals 1.

### int QStyleOptionProgressBar::maximum

This variable holds the maximum value for the progress bar.

This is the maximum value in the progress bar.

See also QProgressBar::maximum.

### int QStyleOptionProgressBar::minimum

This variable holds the minimum value for the progress bar.

This is the minimum value in the progress bar.

See also QProgressBar::minimum.

### int QStyleOptionProgressBar::progress

This variable holds the current progress for the progress bar.

The current progress. A value of QStyleOptionProgressBar::minimum - 1 indicates that the progress hasn't started yet.

See also QProgressBar::value.

### QString QStyleOptionProgressBar::text

This variable holds the text for the progress bar.

The progress bar text is usually just the progress expressed as a string. An empty string indicates that the progress bar has not started yet.

See also QProgressBar::text.

### Qt::Alignment QStyleOptionProgressBar::textAlignment

This variable holds the text alignment for the text in the QProgressBar.

This can be used as a guide on where the text should be in the progressbar.

### bool QStyleOptionProgressBar::textVisible

This variable holds a flag indicating whether or not text is visible.

If this flag is true then the text is visible. Otherwise, the text is not visible.

See also QProgressBar::textVisible.